Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post Reply
plevin
Posts: 5
Joined: 16 Feb 2016 20:07

Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by plevin » 16 Feb 2016 20:24

I've downloaded openLCA 1.4.2 for the Mac and can't run it. A pop-up appears saying Verifying openLCA.app, then one that says: "openLCA.app" is damaged and can't be opened. You should move it to the Trash.

I installed jdk-8u74-macosx-x64.dmg, but that didn't work. I then installed jdk-8u73-nb-8_1-macosx-x64.dmg (i.e., with NetBeans), and that didn't work either. Java 8 appears to be current:

$ java -version
java version "1.8.0_74"
Java(TM) SE Runtime Environment (build 1.8.0_74-b02)
Java HotSpot(TM) 64-Bit Server VM (build 25.74-b02, mixed mode)

The Java system control panel also shows that 1.8 (update 74) is active.

I re-downloaded openLCA and re-installed JDK+NB again to be sure. No luck. FWIW, I'm running on a MBPro, 8GB, under 10.9.5.

Any advice on how to proceed, or even how to diagnose this further would be appreciated. Thanks!

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by aciroth » 17 Feb 2016 20:00

With the JDK installation, that usually works but we had some cases where an old 1.6 version was used by a Mac for specific applications. What kind of error do you get?
Best
Andreas

plevin
Posts: 5
Joined: 16 Feb 2016 20:07

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by plevin » 17 Feb 2016 21:38

Hi, Andreas. Where are errors logged? I've seen references to log files in openLCA.app/configuration, but none appear there on my machine.

I do indeed still have 1.6 installed; the java 1.8 install didn't remove it and installed itself in a different location. So perhaps this is causing confusion. Should I remove all remnants of 1.6? What is the downside of doing so?

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by aciroth » 20 Feb 2016 13:14

Hi Richard,
I don't have a Mac here with me currently but the log file should be in the database folder, in windows username/database-openLCA-1.4. On the Java on Mac discussion, please see here e.g.: http://stackoverflow.com/questions/1562 ... -incorrect. The post is for Java 7 but Java 8 is similar of course.
Hth,
Andreas

plevin
Posts: 5
Joined: 16 Feb 2016 20:07

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by plevin » 20 Feb 2016 17:56

Thanks, Andreas. It turns out that the message in the attached panel is displayed when the developer signature is not known or incorrect. See https://support.apple.com/en-us/HT202491

The solution is to open system preferences -> Security & Privacy -> General, and to allow apps downloaded from Anywhere to be run. After the app has run once, the setting can be restored to something more secure and the app still runs.

cheers,
Rich
Attachments
Untitled.png
Untitled.png (22.95 KiB) Viewed 4468 times

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by aciroth » 22 Feb 2016 00:23

Ah thank you for the screenshot Richard - this is because we did not register openLCA in Apple's Appstore and thus openLCA is not known to any Mac OS when you try to install it.
Cheers
Andreas

rickardarvid
Posts: 2
Joined: 25 May 2016 13:48

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by rickardarvid » 25 May 2016 13:56

Thanks for the suggestions here!
I have a similar problem, but get a slightly different error message (see attached file).
I have OS X El Capitain 10.11.4, and try to install and run openLCA 1.4.2.
My settings are set to run apps from anywhere, so that should be OK.
I also think I've downloaded all the necessary programmes, e.g. JDK.
Any suggestions on what to do?

Best,
Rickard
Attachments
Screen Shot 2016-05-25 at 1.51.27 PM.png
Screen Shot 2016-05-25 at 1.51.27 PM.png (1.73 MiB) Viewed 3905 times

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by aciroth » 25 May 2016 23:12

Hi Rickard,
what does the logfile say - usually for Macs, the installation of the JDK 8 "is it", it can be though that an installed JDK is not used but that an older, previously installed Java is used instead. You can try to type java -version in the command line e.g.
Best
Andreas

rickardarvid
Posts: 2
Joined: 25 May 2016 13:48

Re: Failed installation on Mac 10.9.5 with JDK 8 + NetBeans

Post by rickardarvid » 26 May 2016 08:27

Ah, I had JDK 7 still. When I downloaded JDK 8 it worked fine! Thank you!

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest